Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class SessionHome

    java.lang.Object
      com.beasys.commerce.foundation.SessionHome

All Implemented Interfaces:
  EJBHome, Remote, SmartEJBHome, SmartHome

public abstract class SessionHome
extends Object
implements SmartEJBHome

This is the abstract base class that all session homes must extend.

See Also:
  `Session`, `SessionImpl`

Constructor Summary
`SessionHome()`

Method Summary
`EJBMetaData` | `getEJBMetaData()` Implements EjbHome.getEJBMetaData().
`void` | `remove(Handle arg1)` Implements EjbHome.remove().
`void` | `remove(Object arg1)` Implements EjbHome.remove().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.EJBHome
`getHomeHandle`

Constructor Detail

### SessionHome

    public SessionHome()

Method Detail

### getEJBMetaData

    public EJBMetaData getEJBMetaData()
                               throws RemoteException

  Implements EjbHome.getEJBMetaData().

  Specified by:
    `getEJBMetaData` in interface `EJBHome`
  Throws:
    `RemoteException`

### remove

    public void remove(Object arg1)
                throws RemoteException,
                       RemoveException

  Implements EjbHome.remove().

  Specified by:
    `remove` in interface `EJBHome`
  Throws:
    `RemoteException`
    `RemoveException`

### remove

    public void remove(Handle arg1)
                throws RemoteException,
                       RemoveException

  Implements EjbHome.remove().

  Specified by:
    `remove` in interface `EJBHome`
  Throws:
    `RemoteException`
    `RemoveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved